| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
uiContourTreeItem Class Reference
uiODMain

Tree item for Contour display on 3D horizons. More...

`#include <uiodcontourtreeitem.h>`

Inheritance diagram for uiContourTreeItem:
[legend]

## Public Member Functions
| uiContourTreeItem (const char *parenttype)
| ~uiContourTreeItem ()
int | getNrContours () const
void | setAttribName (const char *attrnm)
Public Member Functions inherited from uiODDataTreeItem
int | attribNr () const
VisID | displayID () const
| mDefineFactory2ParamInClass (uiODDataTreeItem, const Attrib::SelSpec &, const char *, factory) void prepareForShutdown() override
bool | select () override
virtual void | show (bool yn)
Public Member Functions inherited from uiTreeItem
| uiTreeItem (const uiString &nm=uiString::empty())
| ~uiTreeItem ()
virtual bool | addChild (uiTreeItem *child, bool below)
bool | allChildrenChecked () const
bool | allChildrenCollapsed () const
bool | allChildrenExpanded () const
bool | allChildrenUnchecked () const
bool | areAllParentsChecked ()
virtual bool | askContinueAndSaveIfNeeded (bool withcancel)
NotifierAccess * | checkStatusChange ()
void | collapse ()
void | collapseAllChildren ()
void | entryInEditMode (int col)
void | expand ()
void | expandAllChildren ()
virtual uiTreeItem * | findChild (const char *name)
virtual const uiTreeItem * | findChild (const char *name) const
virtual uiTreeItem * | findChild (int selkey)
virtual const uiTreeItem * | findChild (int selkey) const
virtual void | findChildren (const char *, ObjectSet< uiTreeItem > &)
uiTreeItem * | getChild (int)
const uiTreeItem * | getChild (int) const
ObjectSet< uiTreeItem > & | getChildren ()
const ObjectSet< uiTreeItem > & | getChildren () const
uiTreeViewItem * | getItem ()
const uiTreeViewItem * | getItem () const
template<class T >
bool | getProperty (const char *key, T &res) const
bool | getPropertyPtr (const char *key, void *&) const
bool | hasChildren () const
bool | hasGrandChildren () const
virtual bool | isChecked () const
bool | isCollapsed () const
bool | isExpanded () const
virtual bool | isSelected () const
NotifierAccess * | keyPressed ()
uiTreeItem * | lastChild ()
| mOD_DisableCopy (uiTreeItem) virtual void prepareForShutdown()
virtual void | moveItem (uiTreeItem *after)
virtual void | moveItemToTop ()
uiString | name () const
int | nrChildren () const
uiTreeItem * | parentTreeItem ()
virtual void | removeAllChildren ()
virtual void | removeChild (uiTreeItem *)
virtual int | selectionKey () const
void | setChecked (bool yn, bool trigger=false)
void | setName (const uiString &nm)
template<class T >
void | setProperty (const char *key, const T &)
void | setPropertyPtr (const char *key, void *)
void | setToolTip (int column, const uiString &)
virtual uiTreeItem * | siblingAbove ()
virtual uiTreeItem * | siblingBelow ()
virtual int | siblingIndex () const
virtual void | translateText ()
virtual void | updateCheckStatus ()
void | updateSelTreeColumnText (int col)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static uiODDataTreeItem * | create (const Attrib::SelSpec &, const char *)
static void | initClass ()
static BufferString | selectAttribute (uiParent *, const MultiID &)
static const char * | sKeyContourDefString ()
static const char * | sKeyZValue ()
Static Public Member Functions inherited from uiODDataTreeItem
static int | cPixmapHeight ()
static int | cPixmapWidth ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Private Member Functions
void | checkCB (CallBacker *) override
bool | computeUICContourSteps (const Array2D< float > &)
uiString | createDisplayName () const override
void | createMenu (MenuHandler *, bool istb) override
bool | createPolyLines ()
bool | doubleClick (uiTreeViewItem *) override
Array2D< float > * | getDataSet (visSurvey::HorizonDisplay *)
visSurvey::HorizonDisplay * | getHorDisp ()
void | getZVSAreaValues (TypeSet< float > &zvals, TypeSet< float > &areas) const
void | handleMenuCB (CallBacker *) override
bool | hasTransparencyMenu () const override
bool | init () override
void | intvChangeCB (CallBacker *)
void | prepareForShutdown () override
void | propChangeCB (CallBacker *)
void | removeAll ()
void | removeLabels ()
void | removeOldUICContoursFromScene ()
void | saveAreasAsCB (CallBacker *)
bool | setLabels (visBase::Text2 *)
void | showPropertyDlg ()
void | startCreateUICContours ()
void | updateColumnText (int) override
void | updateUICContours (const StepInterval< float > &)
void | updateZShift ()
void | visClosingCB (CallBacker *)

## Private Attributes
MenuItem | areamenuitm_
TypeSet< double > | areas_
BufferString | attrnm_
OD::Color | color_
StepInterval< float > | contourintv_
Interval< float > | contoursteprange_
RefMan< visBase::DrawStyle > | drawstyle_
RefMan< visBase::Text2 > | labels_
RefMan< visBase::PolyLine > | lines_
int | linewidth_
RefMan< visBase::Material > | material_
MenuItem | optionsmenuitem_
uiContourParsDlg * | propdlg_
bool | showlabels_
float | zshift_

## Friends
class | uiContourTreeItemContourGenerator

## Additional Inherited Members
Protected Member Functions inherited from uiODDataTreeItem
| uiODDataTreeItem (const char *parenttype)
| ~uiODDataTreeItem ()
void | addToToolBarCB (CallBacker *)
uiODApplMgr * | applMgr () const
void | createMenuCB (CallBacker *)
void | displayMiniCtab (const ColTab::Sequence *)
bool | init () override
bool | isExpandable () const override
bool | isSelectable () const override
void | keyPressCB (CallBacker *)
const char * | parentType () const override
SceneID | sceneID () const
bool | shouldSelect (int) const override
bool | showSubMenu () override
int | uiTreeViewItemType () const override
void | updateColumnText (int col) override
Protected Member Functions inherited from uiTreeItem
virtual bool | addChld (uiTreeItem *, bool below, bool downwards)
virtual bool | anyButtonClick (uiTreeViewItem *)
virtual uiParent * | getUiParent () const
virtual void | removeItem (uiTreeViewItem *)
virtual void | renameItem (uiTreeViewItem *)
virtual bool | rightClick (uiTreeViewItem *)
virtual bool | selectWithKey (int selkey)
virtual void | setTreeViewItem (uiTreeViewItem *)
virtual void | updateSelection (int selectionKey, bool dw=false)
virtual bool | useParentType () const
Protected Attributes inherited from uiODDataTreeItem
MenuItem | amplspectrumitem_
uiAmplSpectrum * | ampspectrumwin_
MenuItem | changetransparencyitem_
MenuItem | displaymnuitem_
MenuItem | fkspectrumitem_
uiFKSpectrum * | fkspectrumwin_
uiMenuHandler * | menu_
MenuItem | movedownmnuitem_
MenuItem | movemnuitem_
MenuItem | movetobottommnuitem_
MenuItem | movetotopmnuitem_
MenuItem | moveupmnuitem_
const char * | parenttype_
MenuItem | removemnuitem_
MenuItem | statisticsitem_
uiStatsDisplayWin * | statswin_
MenuItem | view2dvditem_
MenuItem | view2dwvaitem_
uiVisPartServer * | visserv_
Protected Attributes inherited from uiTreeItem
ObjectSet< uiTreeItem > | children_
uiString | name_
uiTreeItem * | parent_ = nullptr
IOPar | properties_
uiTreeViewItem * | uitreeviewitem_ = nullptr

## Detailed Description

Tree item for Contour display on 3D horizons.

<>

## Constructor & Destructor Documentation

## ◆ uiContourTreeItem()

uiContourTreeItem::uiContourTreeItem | ( | const char * | parenttype | ) |

## ◆ ~uiContourTreeItem()

uiContourTreeItem::~uiContourTreeItem | ( |  | ) |

## Member Function Documentation

## ◆ checkCB()

void uiContourTreeItem::checkCB | ( | CallBacker * |  | ) |
| override private virtual

Reimplemented from uiODDataTreeItem.

## ◆ computeUICContourSteps()

bool uiContourTreeItem::computeUICContourSteps | ( | const Array2D< float > & |  | ) |
| private

## ◆ create()

static uiODDataTreeItem * uiContourTreeItem::create | ( | const Attrib::SelSpec & | ,
|  | const char * | )
| static

## ◆ createDisplayName()

uiString uiContourTreeItem::createDisplayName | ( |  | ) | const
| override private virtual

Implements uiODDataTreeItem.

## ◆ createMenu()

void uiContourTreeItem::createMenu | ( | MenuHandler * | ,
|  | bool | istb )
| override private virtual

Reimplemented from uiODDataTreeItem.

## ◆ createPolyLines()

bool uiContourTreeItem::createPolyLines | ( |  | ) |
| private

## ◆ doubleClick()

bool uiContourTreeItem::doubleClick | ( | uiTreeViewItem * |  | ) |
| override private virtual

Reimplemented from uiTreeItem.

## ◆ getDataSet()

Array2D< float > * uiContourTreeItem::getDataSet | ( | visSurvey::HorizonDisplay * |  | ) |
| private

## ◆ getHorDisp()

visSurvey::HorizonDisplay * uiContourTreeItem::getHorDisp | ( |  | ) |
| private

## ◆ getNrContours()

int uiContourTreeItem::getNrContours | ( |  | ) | const

## ◆ getZVSAreaValues()

void uiContourTreeItem::getZVSAreaValues | ( | TypeSet< float > & | zvals,
|  | TypeSet< float > & | areas ) const
| private

## ◆ handleMenuCB()

void uiContourTreeItem::handleMenuCB | ( | CallBacker * |  | ) |
| override private virtual

Reimplemented from uiODDataTreeItem.

## ◆ hasTransparencyMenu()

bool uiContourTreeItem::hasTransparencyMenu | ( |  | ) | const
| inline override private virtual

Reimplemented from uiODDataTreeItem.

## ◆ init()

bool uiContourTreeItem::init | ( |  | ) |
| override private virtual

Reimplemented from uiTreeItem.

## ◆ initClass()

static void uiContourTreeItem::initClass | ( |  | ) |
| static

## ◆ intvChangeCB()

void uiContourTreeItem::intvChangeCB | ( | CallBacker * |  | ) |
| private

## ◆ prepareForShutdown()

void uiContourTreeItem::prepareForShutdown | ( |  | ) |
| override private

## ◆ propChangeCB()

void uiContourTreeItem::propChangeCB | ( | CallBacker * |  | ) |
| private

## ◆ removeAll()

void uiContourTreeItem::removeAll | ( |  | ) |
| private

## ◆ removeLabels()

void uiContourTreeItem::removeLabels | ( |  | ) |
| private

## ◆ removeOldUICContoursFromScene()

void uiContourTreeItem::removeOldUICContoursFromScene | ( |  | ) |
| private

## ◆ saveAreasAsCB()

void uiContourTreeItem::saveAreasAsCB | ( | CallBacker * |  | ) |
| private

## ◆ selectAttribute()

static BufferString uiContourTreeItem::selectAttribute | ( | uiParent * | ,
|  | const MultiID & | )
| static

## ◆ setAttribName()

void uiContourTreeItem::setAttribName | ( | const char * | attrnm | ) |
| inline

## ◆ setLabels()

bool uiContourTreeItem::setLabels | ( | visBase::Text2 * |  | ) |
| private

## ◆ showPropertyDlg()

void uiContourTreeItem::showPropertyDlg | ( |  | ) |
| private

## ◆ sKeyContourDefString()

static const char * uiContourTreeItem::sKeyContourDefString | ( |  | ) |
| static

## ◆ sKeyZValue()

static const char * uiContourTreeItem::sKeyZValue | ( |  | ) |
| static

## ◆ startCreateUICContours()

void uiContourTreeItem::startCreateUICContours | ( |  | ) |
| private

## ◆ updateColumnText()

void uiContourTreeItem::updateColumnText | ( | int |  | ) |
| override private virtual

Reimplemented from uiTreeItem.

## ◆ updateUICContours()

void uiContourTreeItem::updateUICContours | ( | const StepInterval< float > & |  | ) |
| private

## ◆ updateZShift()

void uiContourTreeItem::updateZShift | ( |  | ) |
| private

## ◆ visClosingCB()

void uiContourTreeItem::visClosingCB | ( | CallBacker * |  | ) |
| private

## Friends And Related Symbol Documentation

## ◆ uiContourTreeItemContourGenerator

friend class uiContourTreeItemContourGenerator
| friend

## Member Data Documentation

## ◆ areamenuitm_

MenuItem uiContourTreeItem::areamenuitm_
| private

## ◆ areas_

TypeSet<double> uiContourTreeItem::areas_
| private

## ◆ attrnm_

BufferString uiContourTreeItem::attrnm_
| private

## ◆ color_

OD::Color uiContourTreeItem::color_
| private

## ◆ contourintv_

StepInterval<float> uiContourTreeItem::contourintv_
| private

## ◆ contoursteprange_

Interval<float> uiContourTreeItem::contoursteprange_
| private

## ◆ drawstyle_

RefMan<visBase::DrawStyle> uiContourTreeItem::drawstyle_
| private

## ◆ labels_

RefMan<visBase::Text2> uiContourTreeItem::labels_
| private

## ◆ lines_

RefMan<visBase::PolyLine> uiContourTreeItem::lines_
| private

## ◆ linewidth_

int uiContourTreeItem::linewidth_
| private

## ◆ material_

RefMan<visBase::Material> uiContourTreeItem::material_
| private

## ◆ optionsmenuitem_

MenuItem uiContourTreeItem::optionsmenuitem_
| private

## ◆ propdlg_

uiContourParsDlg* uiContourTreeItem::propdlg_
| private

## ◆ showlabels_

bool uiContourTreeItem::showlabels_
| private

## ◆ zshift_

float uiContourTreeItem::zshift_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025